{
    "$graph": [
        {
            "id": "#cat",
            "class": "CommandLineTool",
            "inputs": [
                {
                    "type": "string",
                    "id": "#cat/catfilename"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#cat/sequences"
                }
            ],
            "arguments": [
                "cat",
                "$(inputs.sequences)"
            ],
            "stdout": "$(inputs.catfilename)",
            "outputs": [
                {
                    "type": "File",
                    "id": "#cat/catout",
                    "outputBinding": {
                        "glob": "$(inputs.catfilename)"
                    }
                }
            ]
        },
        {
            "id": "#main",
            "class": "Workflow",
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/rna"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/translate_sequences/trout",
                    "id": "#main/outfile"
                }
            ],
            "requirements": [
                {
                    "class": "ScatterFeatureRequirement"
                }
            ],
            "steps": [
                {
                    "run": "#cat",
                    "in": [
                        {
                            "default": "database.dna",
                            "id": "#main/combine_sequences/catfilename"
                        },
                        {
                            "source": "#main/get_sequences/seqout",
                            "id": "#main/combine_sequences/sequences"
                        }
                    ],
                    "out": [
                        "#main/combine_sequences/catout"
                    ],
                    "id": "#main/combine_sequences"
                },
                {
                    "run": "#rnaseq",
                    "scatter": "#main/get_sequences/sequence",
                    "in": [
                        {
                            "source": "#main/rna",
                            "id": "#main/get_sequences/sequence"
                        }
                    ],
                    "out": [
                        "#main/get_sequences/seqout"
                    ],
                    "id": "#main/get_sequences"
                },
                {
                    "run": "#tr",
                    "in": [
                        {
                            "default": "database.dna",
                            "id": "#main/translate_sequences/filename"
                        },
                        {
                            "default": "U",
                            "id": "#main/translate_sequences/from"
                        },
                        {
                            "default": "T",
                            "id": "#main/translate_sequences/to"
                        },
                        {
                            "source": "#main/combine_sequences/catout",
                            "id": "#main/translate_sequences/trinput"
                        }
                    ],
                    "out": [
                        "#main/translate_sequences/trout"
                    ],
                    "id": "#main/translate_sequences"
                }
            ]
        },
        {
            "id": "#rnaseq",
            "class": "CommandLineTool",
            "inputs": [
                {
                    "type": "string",
                    "id": "#rnaseq/sequence"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#rnaseq/seqout",
                    "outputBinding": {
                        "glob": "rnaseq"
                    }
                }
            ],
            "arguments": [
                "echo",
                "$(inputs.sequence)"
            ],
            "stdout": "rnaseq"
        },
        {
            "id": "#tr",
            "class": "CommandLineTool",
            "inputs": [
                {
                    "type": "string",
                    "id": "#tr/filename"
                },
                {
                    "type": "string",
                    "id": "#tr/from"
                },
                {
                    "type": "string",
                    "id": "#tr/to"
                },
                {
                    "type": "File",
                    "id": "#tr/trinput"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#tr/trout",
                    "outputBinding": {
                        "glob": "$(inputs.filename)"
                    }
                }
            ],
            "arguments": [
                "tr",
                "$(inputs.from)",
                "$(inputs.to)"
            ],
            "stdin": "$(inputs.trinput.path)",
            "stdout": "$(inputs.filename)"
        }
    ],
    "cwlVersion": "v1.0"
}
